> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Images

> List all the available images

List all available VM images, including their descriptions, tags, and supported locations.


## OpenAPI

````yaml GET /projects/{id}/images
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{id}/images:
    get:
      tags: []
      summary: List images
      description: List all the available images
      parameters:
        - name: id
          in: path
          description: Project id
          required: true
          example: e91bb876-3358-466d-a49a-4fb524629906
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        tags:
                          type: array
                          items:
                            type: string
                        created_at:
                          type: string
                        locations:
                          type: array
                          items:
                            type: string
                      required:
                        - id
                        - name
                        - description
                        - tags
                        - created_at
                        - locations
                required:
                  - items
              examples:
                '1':
                  summary: Success
                  value:
                    items:
                      - id: 9abde4b7-15e8-4abd-891c-42242eb3567e
                        name: ubuntu22.04-nvidia-pcie-docker
                        description: >-
                          Ubuntu 22.04, NVIDIA Driver 535.x, CUDA 12.0,
                          nvidia-docker
                        tags:
                          - '2023-11-16'
                        created_at: '2023-11-16T22:02:00Z'
                        locations:
                          - us-northcentral1-a
                          - us-east1-a
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````